Skip to main content
GET
/
api
/
me
/
Get information about your account
curl --request GET \
  --url https://api.e-invoice.be/api/me/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.e-invoice.be/api/me/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.e-invoice.be/api/me/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "description": "<string>",
  "plan": "enterprise",
  "credit_balance": 999999999,
  "peppol_ids": [
    "<string>"
  ],
  "ibans": [
    "<string>"
  ],
  "company_number": "1018265814",
  "company_tax_id": "BE1018265814",
  "company_name": "E-INVOICE BV",
  "company_address": "Brusselsesteenweg 119/A",
  "company_zip": "1980",
  "company_city": "Zemst",
  "company_country": "Belgium",
  "company_email": "info@e-invoice.be",
  "smp_registration": false,
  "smp_registration_date": "2023-11-07T05:31:56Z",
  "bcc_recipient_email": "<string>"
}
{
"detail": "<string>"
}
{
"detail": "<string>"
}
{
"detail": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful Response

name
string
required
description
string | null
plan
enum<string>
default:enterprise

Plan of the tenant

Available options:
starter,
pro,
enterprise
credit_balance
integer
default:999999999

Credit balance of the tenant

peppol_ids
string[] | null

Peppol IDs of the tenant

ibans
string[] | null

IBANs of the tenant

company_number
string | null

Company number. For Belgium this is the CBE number or their EUID (European Unique Identifier) number

Example:

"1018265814"

company_tax_id
string | null

Company tax ID. For Belgium this is the VAT number. Must include the country prefix

Example:

"BE1018265814"

company_name
string | null

Name of the company. Must include the company type. For example: BV, NV, CVBA, VOF

Example:

"E-INVOICE BV"

company_address
string | null

Address of the company. Must be in the form of Street Name Street Number

Example:

"Brusselsesteenweg 119/A"

company_zip
string | null

Zip code of the company

Example:

"1980"

company_city
string | null

City of the company

Example:

"Zemst"

company_country
string | null

Country of the company

Example:

"Belgium"

company_email
string | null

Email of the company

Example:

"info@e-invoice.be"

smp_registration
boolean | null
default:false

Whether the tenant is registered on our SMP

smp_registration_date
string<date-time> | null

Date when the tenant was registered on SMP

bcc_recipient_email
string | null

BCC recipient email to deliver documents